<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.sharetv.xperiafan13.androidtv">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES"/>

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher"
        android:supportsRtl="true"
        android:hardwareAccelerated="true"
        android:theme="@style/AppTheme">
        <activity android:name=".MainActivity"
           android:screenOrientation="portrait"
            android:hardwareAccelerated="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:hardwareAccelerated="true"
            android:name=".views.ViewActivity"
            android:configChanges="orientation|keyboardHidden|keyboard|screenSize" />
        <activity
            android:name=".views.TorrentActivity"
            android:configChanges="orientation|keyboardHidden|keyboard|screenSize" />
        <activity
            android:name=".views.ViewMovieActivity"
            android:screenOrientation="landscape"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar.FullScreen"
            android:configChanges="orientation|keyboardHidden|keyboard|screenSize" />
        <activity
            android:name=".views.TVPLayer"
            android:screenOrientation="landscape"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar.FullScreen"
            android:configChanges="orientation|keyboardHidden|keyboard|screenSize" />
    </application>

</manifest>